#=====================================================================
#
# PS-NetMon v2.3 (a component of the PS-NetMon project)
#
# This script should be run as a scheduled job, its function is to
# enumerate CFG files in the MONITOR sub-directory and launch an
# instance of PS-NetMonCore.PS1 for each CFG file found. This script
# should not be edited.
#
# Full documentation for this script is found online.
#
# This script and more to help manage your network found, managed and 
# happily shared with documentation on usage at the IP WORk eXchange.
#                   http://www.IPWORX.com
#
#=====================================================================

cls

#====== create sub-directories ======
new-item -itemtype directory -force -path "$PSScriptRoot\LOG" | out-null
new-item -itemtype directory -force -path "$PSScriptRoot\MONITOR" | out-null


#====== clean up old LOG files ======
$oldTime = [int]30
$path = "$PSScriptRoot\LOG"
write-Host "Deleting files older than $oldTime days, in $path" -ForegroundColor Green
Get-ChildItem $path -Recurse -Include "*.txt" | WHERE {($_.CreationTime -le $(Get-Date).AddDays(-$oldTime))} | Remove-Item -Force


#====== temp file used for date-time stamp of last run ======
$tname = "$PSScriptRoot\PS-NetMon.tmp"
$tfile = get-item $tname
$scanbackto = $tfile.LastWriteTime
if($scanbackto -lt (get-date).AddMinutes(-30)){$scanbackto = (get-date).AddMinutes(-30)}
$diff = NEW-TIMESPAN Start $scanbackto End (get-date)
if($diff.TotalMinutes -lt 1){$scanbackto = (get-date).AddMinutes(-1)}
$cleandate = $scanbackto.ToString("MM/dd/yyyy HH:mm:ss")

#====== process CFG files ======
$files = get-childitem -path "$PSScriptRoot\MONITOR\server.*.cfg"
Foreach($file in $files){
    $arg = "$PSScriptRoot\PS-NetMonCore.ps1 -cfg '$File' -scandate '$cleandate'"
    write-host $arg
    Start-Process PowerShell -windowstyle Hidden -Arg "$arg"  
}

#delete old tmp file
New-Item $tname -type file -force | out-null