@ECHO OFF

::=====================================================================
::
:: ENABLE-SERVER.CMD v2.3 (a component of the PS-NetMon project)
::
:: This script should be run with administrative privileges on systems
:: that are unable to be audited by PS-AUDIT. This script modifies the
:: Windows Firewall rules in order to allow WMI and ping traffic to
:: allow server sub-systems to be monitored.
::
:: This script should be heavily reviewed and edited to reflect site
:: security needs as it could be percieved as a security modification
:: in a controlled environment. Please note that disabling rule
:: changes will likely render certain types of audits and checks
:: useless. The bulk of checks performed by PS-NetMon are WMI based.
::
:: Full documentation for this script is found online.
::
:: This script and more to help manage your network found, managed and 
:: happily shared with documentation on usage at the IP WORk eXchange.
::                   http://www.IPWORX.com
::
::=====================================================================


:: Disable remote UAC, reboot required
reg add HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\system /v LocalAccountTokenFilterPolicy /t REG_DWORD /d 1 /f

:: Firewall Rules
netsh advfirewall firewall set rule group="Remote Service Management" new enable=yes
netsh advfirewall firewall set rule group="Windows Management Instrumentation (WMI)" new enable=yes
netsh advfirewall firewall add rule dir=in name="DCOM" program=%systemroot%\system32\svchost.exe service=rpcss action=allow protocol=TCP localport=135
netsh advfirewall firewall add rule dir=in name ="WMI" program=%systemroot%\system32\svchost.exe service=winmgmt action = allow protocol=TCP localport=any
netsh advfirewall firewall add rule dir=in name ="UnsecApp" program=%systemroot%\system32\wbem\unsecapp.exe action=allow
netsh advfirewall firewall add rule dir=out name ="WMI_OUT" program=%systemroot%\system32\svchost.exe service=winmgmt action=allow protocol=TCP localport=any
:: Enable ping
netsh advfirewall firewall add rule name="ICMP Allow incoming V4 echo request" protocol=icmpv4:8,any dir=in action=allow

pause